%define anolis_release 2
%define tarball xf86-video-openchrome
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers
%define gitdate 20210215
%define gitversion 5dbad06
%define with_xvmc 0
%define with_debug 0
%undefine _hardened_build
%define _legacy_common_support 1

Summary:        Xorg X11 openchrome video driver
Name:           xorg-x11-drv-openchrome
Version:        0.6.400
Release:        %{anolis_release}%{?dist}
URL:            http://www.freedesktop.org/wiki/Openchrome/
License:        MIT

Source0:        http://xorg.freedesktop.org/archive/individual/driver/%{tarball}-%{gitdate}.tar.bz2

# Experimental patches (branch backport, etc...):

ExclusiveArch:  x86_64

BuildRequires:  autoconf automake libtool
BuildRequires:  make
BuildRequires:  xorg-x11-server-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  mesa-libGL-devel
%if %{with_xvmc}
BuildRequires:  libXv-devel
BuildRequires:  libXvMC-devel
%endif
BuildRequires:  libdrm-devel >= 2.0
Requires:       Xorg %(xserver-sdk-abi-requires ansic)
Requires:       Xorg %(xserver-sdk-abi-requires videodrv)
Requires:       xorg-x11-server-wrapper

Obsoletes:      xorg-x11-drv-via <= 0.2.2-4
Provides:       xorg-x11-drv-via = 0.2.2-5

%description
X.Org X11 openchrome video driver.

%if %{with_xvmc}
%package devel
Summary:        Xorg X11 openchrome video driver XvMC development package
Requires:       %{name} = %{version}-%{release}
Obsoletes:      xorg-x11-drv-via-devel <= 0.2.2-4
Provides:       xorg-x11-drv-via-devel = 0.2.2-5

%description devel
X.Org X11 openchrome video driver XvMC development package.
%endif

%prep
%autosetup -n %{tarball}-%{gitdate} -p1

%build
autoreconf -v --install
%configure --disable-static --enable-viaregtool \
%if %{with_debug}
           --enable-debug --enable-xv-debug
%endif

make

%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%post
%if %{with_xvmc}
/sbin/ldconfig
%endif
if [ -e /etc/X11/xorg.conf ]; then
    sed -i "/Driver/s/via/openchrome/" /etc/X11/xorg.conf || :
fi

%if %{with_xvmc}
%postun -p /sbin/ldconfig
%endif

%files
%doc NEWS README
%license COPYING
%{driverdir}/openchrome_drv.so
%if %{with_xvmc}
%{_libdir}/libchromeXvMC.so.1
%{_libdir}/libchromeXvMC.so.1.0.0
%{_libdir}/libchromeXvMCPro.so.1
%{_libdir}/libchromeXvMCPro.so.1.0.0
%endif
%{_mandir}/man4/openchrome.4.*
%{_sbindir}/via_regs_dump

%if %{with_xvmc}
%files devel
%{_libdir}/libchromeXvMC.so
%{_libdir}/libchromeXvMCPro.so
%endif

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.6.400-2
- Rebuild for remove inappropriate build dependencies.

* Sun Apr 24 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.400-1
- Init package from upstream
